<?php

class infos_model extends CI_Model {

    function __construct() {
        parent::__construct();
        $this->HT = $this->load->database('HT', TRUE);
    }
    
    function get_errorurls_pages($sitecode,$errorurl) {
        $sql = "select ic_url from infoContents where ic_sitecode = ? and ic_content like '%{$errorurl}%'";
		$query = $this->HT->query($sql,array($sitecode));
		return $query->result();
    }   
	
	function get_emptyamp_pages($sitecode){
		$sql = "select ic_url from infoMetas left join infoContents on im_ic_id = ic_id where im_key = 'amp'  and ic_sitecode = ? and im_value like '%<!--@CUSTOM-CONENT@-->%' and ic_type = 'none'";
		$query = $this->HT->query($sql,array($sitecode));
		return $query->result();
	}
}